Try our new Setup Skill to automatically integrate Hyperspell into your project
curl --request GET \
--url https://api.hyperspell.com/context-documents/tree/{tree_id}/diff \
--header 'Authorization: Bearer <token>'{
"tree_id": "<string>",
"previous_tree_id": "<string>",
"files_added": 123,
"files_removed": 123,
"files_changed": 123,
"files_unchanged": 123,
"diffs": [
{
"path": "<string>",
"status": "<string>",
"old_content": "<string>",
"new_content": "<string>"
}
]
}Compute a diff between the given tree and the most recent published tree before it. Used by the knowledge manager to review what changed before publishing a draft.
curl --request GET \
--url https://api.hyperspell.com/context-documents/tree/{tree_id}/diff \
--header 'Authorization: Bearer <token>'{
"tree_id": "<string>",
"previous_tree_id": "<string>",
"files_added": 123,
"files_removed": 123,
"files_changed": 123,
"files_unchanged": 123,
"diffs": [
{
"path": "<string>",
"status": "<string>",
"old_content": "<string>",
"new_content": "<string>"
}
]
}API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.
Was this page helpful?